Subject: Re: bug#27053: 26.0.50; x-show-tip gets wrong mouse position if frame moves w/o mouse moving on macOS

From: martin rudalics <[email-masked]>
Date: Wed, 24 May 2017 14:53:15 +0200

> To repro, start 'emacs -Q' then eval in order without moving mouse:
 >
 > (set-frame-position nil 0 0)
 > (run-with-timer 0.1 nil (lambda ()
 >                            (x-show-tip (propertize "hello" 'face 'tooltip))))
 >
 > ;; Tooltip should appear where mouse cursor is
 >
 > (set-frame-position nil 100 100)
 > (run-with-timer 0.1 nil (lambda ()
 >                            (x-show-tip (propertize "hello" 'face 'tooltip))))
 >
 > ;; Tooltip should appear where mouse cursor is, but does not.
 >
 > If you then move your mouse and reeval the timer, it will show the tip
 > at the mouse cursor.
 >
 > Emacs is apparently not tracking the mouse position through frame
 > movement. I encounter this often when resizing/moving the frame w/
 > keyboard shortcuts.

I'm not quite sure I understand.  On Windows the tooltip appears at the
same display position in both cases because the mouse cursor did not
move.  Where does your second showing of a tooltip take place?

martin